This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 30493 - installation problem !!! --> anaconda error
installation problem !!! --> anaconda error
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-03 18:19 EST by Hansen
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-06 22:33:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hansen 2001-03-03 18:19:50 EST
I always get this error after the screen says "Reading Packages"I already 
download the anaconda image files and do whatever suggested there but 
still no luck.. :(  
Please help.  Any suggestion or reply would be appreciated. Thanks in 
advance..

The error says :

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/textw/packages_text.py", 
line 33, in __call__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 539, in 
getCompsList
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/harddrive.py", line 43, 
in readComps
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 459, in 
__init__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 428, in 
readCompsFile
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 101, in 
__getitem__
KeyError: indexhtml

Local variables in innermost frame:
self: <comps.HeaderList instance at 82389c8>
item: indexhtml

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iharddrive
HardDriveInstallMethod
p4
(dp5
S'fstype'
p6
S'vfat'
p7
sS'isMounted'
p8
I1
sS'fnames'
p9
(dp10

<failed>
Comment 1 Michael Fulbright 2001-03-03 20:54:07 EST
It would help to have step by step instructions on how to reproduce this error.
Comment 2 Hansen 2001-03-04 13:42:51 EST
ok , here's the step by step moves before i got the error.
I boot with floopy (boot.img) 
came up with menu says "Welcome to RedHat 7 " , hit enter . 
Choose english as language and keyboard layout. 
choose hard drive (the packages), 
choose workstation installation, 
automatic partitioning ( choose continue) , 
entering the hostname, 
configure mouse, 
configure time, 
setting root password, 
adding user (just add one), 
and the screen say reading packages after a while another screen came up say 
exception error. and below is the description :
Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/textw/packages_text.py", line 
33, in __call__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 539, in 
getCompsList
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/harddrive.py", line 43, in 
readComps
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 459, in 
__init__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 428, in 
readCompsFile
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 101, in 
__getitem__
KeyError: indexhtml

Local variables in innermost frame:
self: <comps.HeaderList instance at 821ffb0>
item: indexhtml

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iharddrive
HardDriveInstallMethod
p4
(dp5
S'fstype'
p6
S'vfat'
p7
sS'isMounted'
p8
I1
sS'fnames'
p9
(dp10

<failed>

and i have 3 options there : "OK" . "SAVE" . "DEBUG"
when i choose ok , the screen say ":
  install exited abnormally -- received signal 9
  sending termination signal... done
  sending kill signal.. done
  disabling swap..
  unmounting filesystems :
     /mnt/runtime/usr
     /mnt/runtime
     /dev/pts
     /proc
  you may reboot your sytem safely now.

i already tried this several times but it always end up the same, always error 
after reading the packages. i tried to use the update of anaconda (update-disk-
20001009.img) but it doesn't help much. 

Additional information, the RPMS and base files are located in drive C : with 
windows 98 (FAT32), and trying to install the RedHat Linux on drive D :

Please help... I'm stuck as hell :(
Thanks, Regards Hansen
Comment 3 Hansen 2001-03-06 22:33:19 EST
to msf@redhat.com
I finally figured out why i keep getting the error. the culprit was the 
indexhtml.rpm files. i think it was somewhat corrupted, i downloaded it again ( 
force using binary mode) and the installation goes smooth.

Thank for the support
Hansen
Comment 4 Michael Fulbright 2001-03-09 11:21:08 EST
Thanks for the feedback - glad it worked! We've seen this error alot seems like
there is a mirror or something with corrupted files?

Note You need to log in before you can comment on or make changes to this bug.